'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _thirtyTwo = require('thirty-two');

var _thirtyTwo2 = _interopRequireDefault(_thirtyTwo);

var _qrImage = require('qr-image');

var _qrImage2 = _interopRequireDefault(_qrImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var encode = function encode(secret) {
  return _thirtyTwo2.default.encode(secret);
};

var decode = function decode(base32secret) {
  return _thirtyTwo2.default.decode(base32secret);
};

var uri = function uri(_ref) {
  var user = _ref.user,
      issuer = _ref.issuer,
      secret = _ref.secret;

  secret = encode(secret);
  return 'otpauth://totp/' + issuer + ':' + user + '?secret=' + secret + '&issuer=' + issuer;
};

var qrcode = function qrcode(_ref2) {
  var user = _ref2.user,
      issuer = _ref2.issuer,
      secret = _ref2.secret;

  return _qrImage2.default.imageSync(uri({
    user: user,
    issuer: issuer,
    secret: secret
  }), {
    type: 'svg',
    size: 5
  });
};

exports.default = {
  encode: encode,
  decode: decode,
  uri: uri,
  qrcode: qrcode
};