'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _hotp = require('./hotp');

var _hotp2 = _interopRequireDefault(_hotp);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var generate = function generate(_ref) {
  var secret = _ref.secret,
      time = _ref.time,
      timestamp = _ref.timestamp,
      codeDigits = _ref.codeDigits,
      addChecksum = _ref.addChecksum,
      truncationOffset = _ref.truncationOffset;

  if (secret) {
    if (!time) time = 30;
    if (timestamp && timestamp instanceof Date) timestamp = timestamp.getTime();
    if (!timestamp) timestamp = new Date().getTime();

    var movingFactor = Math.floor(timestamp / 1000 / time);

    return _hotp2.default.generate({
      secret: secret,
      movingFactor: movingFactor,
      codeDigits: codeDigits,
      addChecksum: addChecksum,
      truncationOffset: truncationOffset
    });
  } else {
    throw Error('No secret value');
  }
};
// https://tools.ietf.org/html/rfc6238

exports.default = {
  generate: generate
};